org.jenkinsci.constant_pool_scanner

## Class Utf8Constant

- java.lang.Object
- - org.jenkinsci.constant_pool_scanner.Utf8Constant

All Implemented Interfaces:
  CharSequence

    public final class Utf8Constant
    extends Object
    implements CharSequence

UTF-8 Constant (which is separate from string constant.)

Author:
  Kohsuke Kawaguchi

### Constructor Summary

Constructors
Constructor and Description
`Utf8Constant()`

### Method Summary

Methods
`char` `charAt(int index)`
`String` `get()`
`int` `length()`
`String` `subSequence(int start, int end)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Utf8Constant

    public Utf8Constant()

### Method Detail

#### get

    public String get()

#### length

    public int length()

Specified by:
  `length` in interface `CharSequence`

#### charAt

    public char charAt(int index)

Specified by:
  `charAt` in interface `CharSequence`

#### subSequence

    public String subSequence(int start,
                     int end)

Specified by:
  `subSequence` in interface `CharSequence`

#### toString

    public String toString()

Specified by:
  `toString` in interface `CharSequence`
Overrides:
  `toString` in class `Object`